| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryPeriodScheduleRequest Class Reference
Time Destination

Query Period Schedule request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | DayScheduleName
| Filter by Day Schedule Name. More...
xsd__string | TimeDestinationName
| The name of the Day Schedule to which the Period Schedule belongs. More...
xsd__string | StartTime
| The starting time of the period in the form "HH:MM". More...

## Detailed Description

Query Period Schedule request.

Used by unsp__queryPeriodSchedule()

## Member Data Documentation

## ◆ DayScheduleName

xsd__string unsp__QueryPeriodScheduleRequest::DayScheduleName

Filter by Day Schedule Name.

required: false
default value[range]: NA [1..15]

## ◆ OperatorId

xsd__string unsp__QueryPeriodScheduleRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryPeriodScheduleRequest::Paging

Standard paging structure.

required: false

## ◆ Specific

xsd__boolean unsp__QueryPeriodScheduleRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

## ◆ StartTime

xsd__string unsp__QueryPeriodScheduleRequest::StartTime

The starting time of the period in the form "HH:MM".

required: false
default value[range]: NA [1..15]

## ◆ TimeDestinationName

xsd__string unsp__QueryPeriodScheduleRequest::TimeDestinationName

The name of the Day Schedule to which the Period Schedule belongs.

required: false
default value[range]: NA [1..15]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h